Subject: Re: [PATCH iproute2-next] configure: Allow command line override of toolchain

From: Ido Schimmel <[email-masked]>
Date: Mon, 7 Mar 2022 17:09:50 +0200

On Sat, Mar 05, 2022 at 11:11:43AM -0700, David Ahern wrote:
> On 3/2/22 6:56 AM, Ido Schimmel wrote:
> > David, are you sure this patch is needed? Even without it I can override
> > from the command line:
> > 
> > $ make V=1 CC=gcc
> > 
> > lib
> > make[1]: Entering directory '/home/idosch/code/iproute2/lib'
> > ...
> > 
> > $ make V=1 CC=clang
> > 
> > lib
> > make[1]: Entering directory '/home/idosch/code/iproute2/lib'
> > 
> 
> interesting. As I recall the change was needed when I was testing
> Stephen's patches for a clean compile with clang. Either way, the patch
> was already merged.

I realize it was already merged (wasn't asking for academic purposes),
but rather wanted you to verify that the patch is not needed on your end
so that I could revert it. I can build with gcc/clang even without the
patch. With the patch, the build is broken on Fedora as "yacc" is not a
build dependency [1]. Verified this with a clean install of Fedora 35:
Can't build iproute with this patch after running "dnf builddep
iproute". Builds fine without it.

[1] https://src.fedoraproject.org/rpms/iproute/blob/rawhide/f/iproute.spec#_22